> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import workspaces, connectors and profiles from a configuration arcflow file.

> Import workspaces, connectors and profiles from a configuration arcflow file.



## OpenAPI

````yaml 26.3/cloud/en/api-reference/openapi.json POST /import
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /import:
    post:
      tags:
        - import
      summary: >-
        Import workspaces, connectors and profiles from a configuration arcflow
        file.
      description: >-
        Import workspaces, connectors and profiles from a configuration arcflow
        file.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/import_input'
      responses:
        '200':
          description: The action result
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    import_input:
      type: object
      properties:
        Arcflow:
          type: string
          description: >-
            A Base64-encoded string containing a zip file of the Arc
            configuration data that has been exported from another instance.
        DuplicateAction:
          type: string
          description: >-
            How to handle duplicates that exist in the instance being imported
            into. Available values are 'Overwrite, Rename, Skip'.
        Overwrite:
          type: string
          description: >-
            When set to True, replaces existing connectors, flows, or settings
            with the same names. When False, skips duplicates and preserves
            existing configurations. The default is False. Available values are
            'True, False'.
          default: 'False'
        WorkspaceId:
          type: string
          description: >-
            The Id of the workspace to import the arcflow into. If you do not
            specify a workspace, the application auto-detects which workspace to
            use based on the names of the workspaces in the arcflow. If a
            workspace is not specified in the arcflow, it uses the default
            workspace.
        InputName:
          type: string
          description: The name of the form input when uploading files from a form.
        DataDirectory:
          type: string
          description: The data directory or a zipped file where the profiles are stored.
        DecryptPassword:
          type: string
          description: >-
            The password used to decrypt sensitive values (such as credentials
            and private keys) that were encrypted during the export process with
            FlowPassword.
        GlobalSettings:
          type: string
          description: >-
            A comma-separated list of the global settings to import. Use ALL to
            import all global settings. Available values are 'All, Alerts,
            Advanced, AdminAPI, Certificates, Connections, Documents, Partners,
            Reports, Roles, SSO, Users, Vaults'.
        ProfileSettings:
          type: string
          description: >-
            A comma-separated list of the profiles to import. Use ALL to import
            all profiles. Available values are 'All, AS2, AS4, FTPServer, GISB,
            HL7MLLP, OFTP, RosettaNet, SFTPServer'.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````